Subject: Re: draft-mmm-bfd-on-lags

From: Marc Binderberger <[email-masked]>
Date: Tue, 14 Aug 2012 17:17:24 +0200

Hello Wim et al.,

my apology for answering late. day-to-day business was taking it's toll :-)

> Can this be more relaxed in the sense that micro-BFD session could keep using the dedicated MAC address during the complete lifetime of the session?

in general fine with me. Waiting for more comments from the list :-)

Now the reason we have written it with a stubborn "MUST" was a bit of fear that implementations will largely avoid the MAC learning, which would practically obsolete this part of the draft.

Nevertheless, changing the last MUST into a SHOULD is what you have in mind?

----snip----snap----snip----snap----
2.3.  Micro BFD session Ethernet details

   On Ethernet-based LAG member links the destination MAC is a dedicated
   MAC address (to be assigned by IANA according to [RFC5342]) to be the
   immediate next hop.  This dedicated MAC address MUST be used for the
   initial BFD packets of a micro BFD session when in the Down/AdminDown
   and Init state.  When sending BFD packets for the micro BFD session
   in the Up state, the MAC address from the received BFD packets for
   the session SHOULD be used.
----snip----snap----snip----snap----

> This might make implementations easier.

That is true. But if we all do it for all our implementations the easier way then it is effectively obsolete to write it down. And hardware with small MAC tables will have at least a performance challenge.

Regards, Marc

On 2012-07-27, at 7:23 , Henderickx, Wim (Wim) wrote:

> Hi,
> 
> I have a question on section 2.3 with respect to the use of the destination MAC in the micro BFD section.
> 
> The current draft says that: When sending BFD packets for the micro BFD session
>   in the Up state, the MAC address from the received BFD packets for
>   the session MUST be used.
> 
> Can this be more relaxed in the sense that micro-BFD session could keep using the dedicated MAC address during the complete lifetime of the session?
> 
> This might make implementations easier.
> 
> Cheers,
> Wim
> 

--
Marc Binderberger           <[email-masked]>

---

From: "Henderickx, Wim (Wim)" <[email-masked]>
Date: Tue, 14 Aug 2012 19:27:44 +0200

Marc, thx for following up. I was indeed suggesting the statement to be changed to SHOULD iso MUST. We should leave the statement there to guide implementation to take into account devices which don't have big MAC tables.

-----Original Message-----
From: Marc Binderberger [mailto:[email-masked]] 
Sent: dinsdag 14 augustus 2012 17:17
To: Henderickx, Wim (Wim)
Cc: [email-masked]; [email-masked]
Subject: Re: draft-mmm-bfd-on-lags 

Hello Wim et al.,

Regards, Marc